//■■GCreatorButtonLis.java
//Ver.3.4

//■■インポート
import java.awt.event.*;  //必須
import java.util.*;  //必須
import java.io.*;  //必須

//■■JButtonのイベントリスナー
class GCreatorButtonLis implements ActionListener
{
  //■メンバー変数
  GCreator f;
  boolean cutAndSaveFlag = false;

  //■コンストラクタ
  GCreatorButtonLis(GCreator flame)
  {
    f = flame;
  }

  //■JButtonのイベントハンドラ
  public void actionPerformed(ActionEvent event)
  {
    String com = event.getActionCommand();
    if(com.equals("Rep"))
    {   //●グラフィックの再描画（「描画」ボタン）
        //命令文書を書き換えた場合、「描画」ボタンを押すこと。

    //各種特殊コマンドの下準備
      f.canvas.setInit2(); //特殊初期化（先行実施）
      f.canvas.setInit();  //一般初期化（後続実施）
      f.canvas.setInit3(); //追加特殊初期化（最終実施）
      f.canvas.repaint();  //再描画（多用途対応）
    }
    else if(com.equals("Rp2"))
    {  //●グラフィックのマトリックス模様更新（「乱数」ボタン）
      if(f.canvas.matrixPatternNumSt>0)
        f.canvas.rgbSt = f.canvas.getRandom_rgbSt();
      if(f.canvas.matrixPatternNumEx>0)
        f.canvas.rgbEx = f.canvas.getRandom_rgbEx();
      f.canvas.randomSeed2 = f.canvas.ran.nextInt();
      f.canvas.repaint();  //乱数効果の画像を表示
    }
    else if(com.equals("Can"))
    {  //●パレット混色取消（「取消」ボタン）
      f.sldR.setValue(0);
      f.sldG.setValue(0);
      f.sldB.setValue(0);
      f.palette.tfR = 0;
      f.palette.tfG = 0;
      f.palette.tfB = 0;
      f.palette.colorModifyX(0,0,0);
      f.palette.numberInputMode = 0;
      f.pMouseLis.clear();
      f.paletteRGB.setText("");
      f.palette.colorMix();
    }
    else if(com.equals("TFP")) //パレットを数値入力に切り替え
    {
      f.pMouseLis.clear();
      String rgb = f.paletteRGB.getText();
      StringTokenizer st = new StringTokenizer(rgb,", ");
      try
      {
        int r = Integer.parseInt(st.nextToken().trim()); 
        int g = Integer.parseInt(st.nextToken().trim()); 
        int b = Integer.parseInt(st.nextToken().trim()); 
        if(r<0 || r>255 || g<0 || g>255 || b<0 || b>255)
        {
          f.message("パレットでの色指定数値範囲エラー");
          return;
        }
        f.palette.tfR = r;
        f.palette.tfG = g;
        f.palette.tfB = b;
      }
      catch(Exception e)
      {
        f.message("パレットでの色指定数値入力エラー");
        return;
      }
      f.sldR.setValue(0);
      f.sldG.setValue(0);
      f.sldB.setValue(0);
      f.palette.numberInputMode = 1;
    }
    else if(com.equals("Adj"))
    {  //●スライダー修正値のゼロ・クリア（「復元」ボタン）
      f.sldR.setValue(0);
      f.sldG.setValue(0);
      f.sldB.setValue(0);
    }
    
    else if(com.equals("SvC"))
    {  //●命令文書の保存
      if(!f.canvas.saveCmdFName.equals("") && f.canvas.saveCmdFName != null)
      {
        f.canvas.setInit();  //一般初期化のみ
        f.io.save(f.cArea, f.canvas.saveCmdFName);
      }
      else
        f.message("ファイル名の指定がなく、命令文書を保存できません。");
    }
    else if(com.equals("SvI"))
    {  //●作成画像の全体保存
      f.canvas.canSaveMode = true;
      f.canvas.markFlag = false;
      f.canvas.setInit();  //一般初期化のみ
      f.canvas.repaint(); 
      cutAndSaveFlag = false;

      if(!f.canvas.saveImgFName.equals(""))
      {
        f.io.saveGraphics(new File(f.canvas.saveImgFName), 0, 0, 
          (int)(f.canvas.imagePX_W*f.canvas.affineScale*f.canvas.freeScale), 
          (int)(f.canvas.imagePX_H*f.canvas.affineScale*f.canvas.freeScale));
      }
      else
        f.message("ファイル名の指定がなく、全体画像を保存できません。");
      f.canvas.canSaveMode = false;
    }
    else if(com.equals("SvP"))
    {  //●作成画像の部分切り取り保存
      f.canvas.setInit();  //一般初期化のみ
      f.canvas.canSaveMode = true;
      f.canvas.markFlag = false;
      f.canvas.repaint();
      cutAndSaveFlag = true;

      if(cutAndSaveFlag = true && !f.canvas.cutAndSaveImgFName.equals(""))
      {
        f.io.saveGraphics(new File(f.canvas.cutAndSaveImgFName), 
          f.canvas.cutAndSaveImgX1, f.canvas.cutAndSaveImgY1, 
          f.canvas.cutAndSaveImgX2 - f.canvas.cutAndSaveImgX1, 
          f.canvas.cutAndSaveImgY2 - f.canvas.cutAndSaveImgY1);
      }
      else
      {
        f.message("ファイル名の指定がなく、切り取り画像を保存できません。");
      }
      cutAndSaveFlag = false;
      f.canvas.canSaveMode = false;
    }
    else
      f.message("ボタン機能に該当なし");
  }
} //EOF (GCreatorButtonLis.java)
