//■■GCreatorMenuLis.java
//Ver.3.4

//■■インポート
import java.awt.event.*;  //必須
import javax.swing.*;  //必須
import java.io.*;  //必須

//■■JMenuItemのイベントリスナー
class GCreatorMenuLis implements ActionListener
{
  //■メンバー変数
  GCreator f;

  //■コンストラクタ
  GCreatorMenuLis(GCreator flame)
  {
    f = flame;
  }

  //■JMenuItemのイベントハンドラ
  public void actionPerformed(ActionEvent event)
  {
    String com = event.getActionCommand();

    if(com.equals("LoD"))
    {  //●命令文の読み込み
      f.io.load(f.cArea, "./", "gcc");
      init(); //完全初期化
    }
    else if(com.equals("SaD"))
    {  //●命令文の保存
      f.canvas.setInit();  //一般初期化のみ
      f.io.save(f.cArea, "./", "gcc");
    }
    else if(com.equals("LoI"))
    {  //●背景画像読み込み
      f.io.loadGraphics(0);
      init();
    }
    else if(com.equals("Stm"))
    {  //●スタンプ画像読み込み
      f.io.loadGraphics(1);
      init();
    }
    else if(com.equals("Sa2"))
    {  //●画像保存
      f.canvas.markFlag = false; //目印線消去
      f.canvas.setInit();  //一般初期化のみ
      f.io.saveGraphics(null, 0, 0,  //画像全体を指定
        (int)(f.canvas.imagePX_W*f.canvas.affineScale*f.canvas.freeScale), 
        (int)(f.canvas.imagePX_H*f.canvas.affineScale*f.canvas.freeScale));
    }
    else if(com.equals("Pri"))
    {  //●画像印刷
      f.canvas.setInit();  //一般初期化のみ
      f.canvas.markFlag = false; //目印線消去
      f.printer.start();
    }
    else if(com.equals("Cl2"))
    {  //●命令文消去
      f.cArea.setText("");
      init();  //完全初期化
    }
    else if(com.equals("Cl3"))
    {  //●警告文消去
      f.mArea.setText("");
    }
    else if(com.equals("Cl4"))
    {  //●全消去
      f.cArea.setText("");
      f.mArea.setText("");
      init();  //完全初期化
    }
    else if(com.equals("FrS"))
    {  //●各種図形描画
      f.cArea.setText("");
      f.cArea.append("//各種図形描画\n");
      f.cArea.append("Size(\"A4\");\n");
      f.cArea.append("LineWidth(1.5);\n");
      f.cArea.append("WriteStringH(40,30,20,\"sansserif\",\"各種図形描画\");\n");
      f.cArea.append("DrawLine(43,126,292,46);\n");
      f.cArea.append("WriteStringH(113,82,16,\"sansserif\",\"直線\");\n");
      f.cArea.append("DrawCircle(3,64,193,40,214,214,230);\n");
      f.cArea.append("WriteStringH(110,216,16,\"sansserif\",\"真円\");\n");
      f.cArea.append("DrawEllipse(3,225,146,70,34,248,224,237);\n");
      f.cArea.append("WriteStringH(263,193,16,\"sansserif\",\"楕円\");\n");
      f.cArea.append("DrawRect(3,87,256,153,73,214,231,216);\n");
      f.cArea.append("WriteStringH(253,304,16,\"sansserif\",\"四角形\");\n");
      f.cArea.append("DrawShapeStart(4,61,406,223,218,234);\n");
      f.cArea.append("DrawShapeLine(134,369);\n");
      f.cArea.append("DrawShapeCurve(214,359,247,379,255,467);\n");
      f.cArea.append("DrawShapeLine(202,479);\n");
      f.cArea.append("DrawShapeCurve(110,406,113,499,30,449);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("WriteStringH(264,449,16,\"sansserif\",\"自由図形\");\n");
      f.cArea.append("WriteStringH(330,40,16,\"sansserif\",\"ベジェ曲線\");\n");
      f.cArea.append("DrawCurve(404,100,449,24,555,28,598,79);\n");
      f.cArea.append("WriteStringH(339,94,15,\"sansserif\",\"Ｕ字曲線\");\n");
      f.cArea.append("DrawCurve(400,155,453,85,543,186,583,104);\n");
      f.cArea.append("WriteStringH(337,142,15,\"sansserif\",\"Ｓ字曲線\");\n");
      f.cArea.append("DrawCurve(432,290,602,210,400,184,501,294);\n");
      f.cArea.append("WriteStringH(363,275,15,\"sansserif\",\"ループ曲線\");\n");
      f.cArea.append("DrawShapeStart(4,467,341,229,223,241);\n");
      f.cArea.append("DrawShapeCurve(576,299,610,381,498,427);\n");
      f.cArea.append("DrawShapeCurve(393,468,359,384,467,341);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("WriteStringH(470,456,16,\"sansserif\",\"自由図形／傾斜楕円\");\n");
      f.canvas.markFlag = true;
      init();
    }
    else if(com.equals("SpC"))
    {  //●スプライン曲線描画
      f.cArea.setText("");
      f.cArea.append("//スプライン曲線描画\n");
      f.cArea.append("Size(\"A4\");\n");
      f.cArea.append("WriteStringH(40,30,20,\"sansserif\",\"スプライン曲線描画\");\n");
      f.cArea.append("DrawSplineStart(137,139);\n");
      f.cArea.append("DrawSplineControl(108,183);\n");
      f.cArea.append("DrawSplineControl(81,141);\n");
      f.cArea.append("DrawSplineControl(103,91);\n");
      f.cArea.append("DrawSplineControl(183,75);\n");
      f.cArea.append("DrawSplineControl(202,160);\n");
      f.cArea.append("DrawSplineControl(282,186);\n");
      f.cArea.append("DrawSplineControl(332,185);\n");
      f.cArea.append("DrawSplineControl(378,119);\n");
      f.cArea.append("DrawSplineControl(419,81);\n");
      f.cArea.append("DrawSplineControl(462,110);\n");
      f.cArea.append("DrawSplineEnd(503,151);\n");
      f.cArea.append("//\n");
      f.cArea.append("DrawSplineStart(100,303);\n");
      f.cArea.append("DrawSplineControl(210,259);\n");
      f.cArea.append("DrawSplineControl(527,332);\n");
      f.cArea.append("DrawSplineControl(312,346);\n");
      f.cArea.append("DrawSplineControl(173,457);\n");
      f.cArea.append("DrawSplineControl(47,377);\n");
      f.cArea.append("DrawSplineEnd(100,303);\n");
      f.canvas.markFlag = true;
      init();
    }
    else if(com.equals("LiL"))
    {  //●折れ線描画
      f.cArea.setText("");
      f.cArea.append("//折れ線描画\n");
      f.cArea.append("Size(500, 500);\n");
      f.cArea.append("WriteStringH(40,30,20,\"sansserif\",\"折れ線描画\");\n");
      f.cArea.append("LinkedLineStart(62,247);\n");
      f.cArea.append("LinkedLineNext(146,141);\n");
      f.cArea.append("LinkedLineNext(164,293);\n");
      f.cArea.append("LinkedLineNext(309,171);\n");
      f.cArea.append("LinkedLineNext(324,273);\n");
      f.cArea.append("LinkedLineNext(444,112);\n");
      f.cArea.append("LinkedLineEnd(402,428);\n");
      f.canvas.markFlag = true;
      init();
    }
    else if(com.equals("BG1"))
    {  //●模様画像生成（統一配色）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（統一配色）\n");
      f.cArea.append("SaveImage(\"./image/image1.png\");\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MatrixPatternSt(0001,8,150,100,170,7);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG2"))
    {  //●模様画像生成（個別配色）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（個別配色）\n");
      f.cArea.append("SaveImage(\"./image/image2.png\");\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MatrixPatternEx(0001,8,240,50,70,10);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG3"))
    {  //●模様画像生成（二重混用）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（二重混用）\n");
      f.cArea.append("SaveImage(\"./image/image3.png\");\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MatrixPatternSt(0010,8,80,50,220,7);\n");
      f.cArea.append("MatrixPatternEx(0114,8,100,100,150,10);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG4"))
    {  //●模様画像生成（シフト）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（シフト）\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MatrixPatternEx(0011,8,70,120,170,10);\n");
      f.cArea.append("MatrixPatternExOp(2,4,0,0,0,0,0,0,10);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG5"))
    {  //●模様画像生成（ドロップ）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（ドロップ）\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MatrixPatternSt(1001,8,70,170,70,10);\n");
      f.cArea.append("MatrixPatternStOp(0,0,-4.5,0,0,0,0,0,10);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG6"))
    {  //●模様画像生成（スキップ）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（スキップ）\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MatrixPatternEx(1002,8,170,150,70,10);\n");
      f.cArea.append("MatrixPatternExOp(0,0,0,0,-3,-3,0,0,10);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG7"))
    {  //●模様画像生成（間欠描画）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（間欠描画）\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MatrixPatternSt(1001,8,170,150,70,10);\n");
      f.cArea.append("MatrixPatternStOp(0,0,0,0,0,0,0,0,5);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG8a"))
    {  //●傾斜元画像（画像傾斜する前の元画像の準備）
      f.cArea.setText("");
      f.cArea.append("//傾斜元画像生成\n");
      f.cArea.append("SaveImage(\"./image/imageRa.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(2000,2000);\n");
      f.cArea.append("MatrixPatternSt(0003,8,100,110,180,10);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG8b"))
    {  //●画像傾斜加工
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（画像傾斜）\n");
      f.cArea.append("SaveImage(\"./image/imageRb.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(2000,2000);\n");
      f.cArea.append("Image(0,0,2000,2000,\"./image/imageRa.png\");\n");
      f.cArea.append("RotateFree(45,300,-750);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG8c"))
    {  //●傾斜画像サイズ調整
      f.cArea.setText("//傾斜画像サイズ調整\n");
      f.cArea.append("SaveImage(\"./image/imageRc.png\");\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("Image(0,0,2000,2000,\"./image/imageRb.png\");\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG9"))
    {  //●模様画像生成（複雑指定１）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（複雑指定１）\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("BackgroundColor(200,100,220);\n");
      f.cArea.append("MatrixPatternEx(1005,8,100,110,80,10);\n");
      f.cArea.append("MatrixPatternExOp(-0.5,-1,-5,0,1,-4,10,27,10);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("BG10"))
    {  //●模様画像生成（複雑指定２）
      f.cArea.setText("");
      f.cArea.append("//模様画像生成（複雑指定２）\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("BackgroundColor(200,200,120);\n");
      f.cArea.append("MatrixPatternSt(1003,4,70,50,70,10);\n");
      f.cArea.append("MatrixPatternStOp(-3.5,-8.5,0,-21,-11,17,0,0,10);\n");
      f.cArea.append("MatrixPatternEx(1004,4,50,50,70,10);\n");
      f.cArea.append("MatrixPatternExOp(-3.5,-8.5,0,-21,-11,17,0,0,5);\n");
      f.cArea.append("//画像上部の「乱数」ボタンを押して下さい。\n");
      init();
    }

    //●これ以降、画像の特殊加工を行なうが、画像保存を１倍に固定する命令が含まれる。
    //●標準拡大率指定の「AffineScale(1);」が、それである。
    //●画像サイズが所定通りでないと、実行時エラーが発生する処理が一部含まれるため。
    
    else if(com.equals("Log"))
    {  //●ロゴ画像生成
      f.cArea.setText("");
      f.cArea.append("//ロゴ画像生成\n");
      f.cArea.append("SaveImage(\"./image/ZLogo.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("ForegroundColorL(200,0,0);\n");
      f.cArea.append("BackgroundColor(200,200,200);\n"); //スタンプ用背景色
      f.cArea.append("Antialias(true);\n");
      f.cArea.append("DrawCircle(2,250,250,250,200,0,0);\n");
      f.cArea.append("DrawCircle(2,250,250,220,200,200,255);\n");
      f.cArea.append("DrawCircle(2,250,250,210,200,0,0);\n");
      f.cArea.append("DrawCircle(2,250,250,195,200,200,255);\n");
      f.cArea.append("DrawShapeStart(2,118,159,200,0,0);\n");
      f.cArea.append("DrawShapeCurve(201,47,306,197,384,138);\n");
      f.cArea.append("DrawShapeCurve(303,261,198,111,118,159);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("DrawShapeStart(2,107,344,200,0,0);\n");
      f.cArea.append("DrawShapeCurve(190,233,298,382,398,330);\n");
      f.cArea.append("DrawShapeCurve(298,453,198,297,107,344);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("DrawShapeStart(2,138,320,200,0,0);\n");
      f.cArea.append("DrawShapeLine(339,162,);\n");
      f.cArea.append("DrawShapeLine(349,174,);\n");
      f.cArea.append("DrawShapeLine(150,330,);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("DrawShapeStart(2,172,255,200,0,0);\n");
      f.cArea.append("DrawShapeCurve(228,191,274,275,313,237);\n");
      f.cArea.append("DrawShapeCurve(260,304,221,228,172,255);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("LBG"))
    {  //●ロゴ入り画像（スタンプ押印）
      f.cArea.setText("");
      f.cArea.append("//スタンプ押印\n");
      f.cArea.append("SaveImage(\"./image/BirdwatchingZClub.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("Image(0,0,720,1008,\"./image/image1.png\");\n");
      f.cArea.append("Antialias(true);\n");
      f.cArea.append("ForegroundColorB(240,240,240);\n");
      f.cArea.append("ForegroundColorS(0,0,0);\n");
      f.cArea.append(
        "Stamp(314,601,100,100,\"./image/ZLogo.png\");\n");
      f.cArea.append(
        "WriteStringBMulti(110,220,80,3,\"sansserif\",\"野鳥観察の栞\");\n");
      f.cArea.append(
        "WriteStringH(110,220,80,\"sansserif\",\"野鳥観察の栞\");\n");
      f.cArea.append(
        "WriteStringBMulti(168,910,53,3,\"sansserif\",\"野鳥観察Ｚ会編\");\n");
      f.cArea.append(
        "WriteStringH(168,910,53,\"sansserif\",\"野鳥観察Ｚ会編\");\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("REV"))
    {  //●画像鏡像反転
      f.cArea.setText("");
      f.cArea.append("//画像鏡像反転\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("ReverseImage(\"./image/BirdwatchingZClub.png\",1);\n");
      f.cArea.append("//モードが５または７の場合、回転処理済み画像保存を伴う。\n");
      init();
    }
    else if(com.equals("CAS"))
    {  //●画像切取り保存
      f.cArea.setText("");
      f.cArea.append("//画像切取り保存\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("Image(0,0,720,1008,\"./image/BirdwatchingZClub.png\");\n");
      f.cArea.append("CutAndSaveImage(100,140,600,240,\"./image/BirdwatchingZClubCut.png\");\n");
      f.cArea.append("//「切取」ボタンを押すことで、画像切取りと画像保存とが実行される。\n");
      f.cArea.append("Image(730,0,500,100,\"./image/BirdwatchingZClubCut.png\");\n");
      f.cArea.append("//「描画」ボタンを押すことで、保存された切り取り画像が横隣に表示される。\n");
      init();
    }
    else if(com.equals("MSK"))
    {  //●切り貼り用マルチ・マスク画像
      f.cArea.setText("");
      f.cArea.append("//切り貼り用マルチ・マスク作成\n");
      f.cArea.append("SaveImage(\"./image/multiMask.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("BackgroundColor(0,0,200);\n");
      f.cArea.append("DrawShapeStart(2,360,96,200,0,0);\n");
      f.cArea.append("DrawShapeLine(120,336);\n");
      f.cArea.append("DrawShapeLine(360,574);\n");
      f.cArea.append("DrawShapeLine(600,336);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("DrawShapeStart(2,360,432,0,200,0);\n");
      f.cArea.append("DrawShapeLine(120,672);\n");
      f.cArea.append("DrawShapeLine(360,912);\n");
      f.cArea.append("DrawShapeLine(360,912);\n");
      f.cArea.append("DrawShapeLine(600,672);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("CAP"))
    {  //●切り貼り画像処理
      f.cArea.setText("");
      f.cArea.append("//切り貼り画像処理\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("CutAndPasteMask(\"./image/multiMask.png\");\n");
      f.cArea.append("CutAndPaste(\"./image/image1.png\", 0,0,200);\n");
      f.cArea.append("CutAndPaste(\"./image/image2.png\", 200,0,0);\n");
      f.cArea.append("CutAndPaste(\"./image/image3.png\", 0,200,0);\n");
      init();
    }
    else if(com.equals("CCM"))
    {  //●連続色相変更処理
      f.cArea.setText("");
      f.cArea.append("//連続色相変更処理\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("ChangeColorMultiBase(\"./image/MultiMask.png\");\n");
      f.cArea.append("ChangeColorMulti(200,0,0,200,0,200);\n");
      f.cArea.append("ChangeColorMulti(0,200,0,200,200,50);\n");
      f.cArea.append("ChangeColorMulti(0,0,200,250,150,50);\n");
      f.cArea.append("Image(750,0,720,1008,\"./image/MultiMask.png\");\n");
      init();
    }
    else if(com.equals("MiM"))
    {  //●二重画像用グレー・マスク作成
      f.cArea.setText("");
      f.cArea.append("//二重画像用グレー・マスク作成\n");
      f.cArea.append("SaveImage(\"./image/image4.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("BackgroundColor(200,200,200);\n");
      f.cArea.append("DrawCircle(2,360,340,260,200,0,0);\n");
      f.cArea.append("DrawCircle(2,360,680,260,0,0,200);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("Mix"))
    {  //●二重像画像処理
      f.cArea.setText("");
      f.cArea.append("//二重像画像処理\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("MixImage(\"./image/image1.png\", \"./image/image4.png\");\n");
      f.cArea.append("Image(200,200,720,1008,\"./image/image1.png\");\n");
      f.cArea.append("Image(400,400,720,1008,\"./image/image4.png\");\n");
      init();
    }
    else if(com.equals("SFx"))
    {  //●ソフト・フォーカス処理準備
      f.cArea.setText("");
      f.cArea.append("//ソフト・フォーカス処理準備（同心円描画）\n");
      f.cArea.append("SaveImage(\"./image/circles.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("Antialias(true);\n");
      f.cArea.append("BackgroundColor(200,200,200);\n");
      f.cArea.append("DrawCircle(2,240,240,200,50,100,200);\n");
      f.cArea.append("DrawCircle(2,240,240,150,100,150,250);\n");
      f.cArea.append("DrawCircle(2,240,240,100,100,200,250);\n");
      f.cArea.append("DrawCircle(2,240,240,50,150,250,250);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("SFo"))
    {  //●ソフト・フォーカス処理
      f.cArea.setText("");
      f.cArea.append("//ソフト・フォーカス処理\n");
      f.cArea.append("SaveImage(\"./image/circlesSF.png\");\n");
      f.cArea.append("AffineScale(1);\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("SoftFocus(\"./image/circles.png\", 10);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("RoI"))
    {  //●画像多段階回転描画用の元画像の準備
      f.cArea.setText("");
      f.cArea.append("//画像多段階回転描画用の元画像の準備\n");
      f.cArea.append("SaveImage(\"./image/rotateMaltiImage.png\");\n");
      f.cArea.append("Size(600,600); //外枠\n");
      f.cArea.append("DrawRect(1,98,98,402,402,0,0,0); //内枠\n");
      f.cArea.append("DrawCircle(1,300,300,284,0,0,0); //回転範囲\n");
      f.cArea.append("BackgroundColor(200,200,200);\n");
      f.cArea.append("//\n");
      f.cArea.append("DrawShapeStart(2,300,100,50,50,250);\n");
      f.cArea.append("DrawShapeLine(270,330);\n");
      f.cArea.append("DrawShapeLine(330,330);\n");
      f.cArea.append("DrawShapeEnd();\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("RoM"))
    {  //●画像多段階回転描画
      f.cArea.setText("");
      f.cArea.append("//画像多段階回転描画\n");
      f.cArea.append("Size(600,600);\n");
      f.cArea.append("RotateMulti(0,30, 12, \"./image/rotateMaltiImage.png\");\n");
      f.cArea.append("Image(610,0,600,600,\"./image/rotateMaltiImage.png\");\n");
      f.cArea.append("//RotateMulti(30,30, 1, \"./image/circlesSF.png\");\n");
      f.cArea.append("//Image(610,0,720,1008,\"./image/circlesSF.png\");\n");
      f.cArea.append("//階調画像は、多段階回転に適さず、一段階回転に限定される。\n");
      f.cArea.append("//画像周囲に回転余裕がないと、画像の一部だけの回転になる。\n");
      init();
    }
    else if(com.equals("ChC"))
    {  //●単独色相変更処理
      f.cArea.setText("");
      f.cArea.append("//単独色相変更処理\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("ChangeColor(\"./image/circlesSF.png\", 5,100,200,250,255,0,0);\n");
      f.cArea.append("Image(730,0,720,1008,\"./image/circlesSF.png\");\n");
      init();
    }
    else if(com.equals("Adj"))
    {  //●色相調整処理
      f.cArea.setText("");
      f.cArea.append("//色相調整処理\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("AdjustRGB(\"./image/image1.png\", 30, -20, 20);\n");
      f.cArea.append("Image(100,100,720,1008,\"./image/image1.png\");\n");
      init();
    }
    else if(com.equals("Grd"))
    {  //●色相階調加工
      f.cArea.setText("");
      f.cArea.append("//色相階調加工\n");
      f.cArea.append("Size(720,1008);\n");
      f.cArea.append("ColorGradient(\"./image/image3.png\", 100, 504, 0.1, -0.2, -0.1);\n");
      f.cArea.append("//ColorGradient(\"./image/image3.png\", 0, 1008, 0.1, -0.2, -0.1);\n");
      f.cArea.append("Image(100,100,720,1008,\"./image/image3.png\");\n");
      init();
    }
    else if(com.equals("Sp1"))
    {  //●スプライン曲線図形１
      f.cArea.setText("");
      f.cArea.append("//スプライン曲線図形１\n");
      f.cArea.append("SaveImage(\"./image/splineOutline.png\");\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("ForegroundColorL(0,0,0);\n");
      f.cArea.append("BackgroundColor(200,200,200);\n");
      f.cArea.append("DrawSplineStart(235,155);\n");
      f.cArea.append("DrawSplineControl(348,77);\n");
      f.cArea.append("DrawSplineControl(418,156);\n");
      f.cArea.append("DrawSplineControl(391,305);\n");
      f.cArea.append("DrawSplineControl(234,441);\n");
      f.cArea.append("DrawSplineControl(97,314);\n");
      f.cArea.append("DrawSplineControl(61,159);\n");
      f.cArea.append("DrawSplineControl(130,77);\n");
      f.cArea.append("DrawSplineEnd(235,155);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("SpP"))
    {  //●輪郭線図形内部単独彩色
       //スプライン曲線で作画された輪郭線内部を彩色する場合で、
       //針のように細い先端部を持ち、その先端部が屈曲していると、ピクセルが不連続となり、
       //先端部が彩色されず白色（地色）で残ることがあるが、その場合、彩色行為の最終段階で、
       //その微細な塗り残し部分を輪郭線色に色彩変換する必要がある。
      f.cArea.setText("");
      f.cArea.append("//輪郭線図形内部単独彩色\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("ChangeColorInner(\"./image/splineOutline.png\", 0, 0, 0, 200, 40, 150, 250,250,1);\n");
      init();
    }
    else if(com.equals("Sp2"))
    {  //●スプライン曲線図形２
      f.cArea.setText("");
      f.cArea.append("//スプライン曲線図形２\n");
      f.cArea.append("SaveImage(\"./image/splineOutline2.png\");\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("ForegroundColorL(200,200,200);\n");
      f.cArea.append("BackgroundColor(60,100,220);\n");
      f.cArea.append("DrawSplineStart(235,155);\n");
      f.cArea.append("DrawSplineControl(348,77);\n");
      f.cArea.append("DrawSplineControl(418,156);\n");
      f.cArea.append("DrawSplineControl(391,305);\n");
      f.cArea.append("DrawSplineControl(234,441);\n");
      f.cArea.append("DrawSplineControl(97,314);\n");
      f.cArea.append("DrawSplineControl(61,159);\n");
      f.cArea.append("DrawSplineControl(130,77);\n");
      f.cArea.append("DrawSplineEnd(235,155);\n");
      f.cArea.append("//\n");
      f.cArea.append("DrawSplineStart(58,222);\n");
      f.cArea.append("DrawSplineControl(122,207);\n");
      f.cArea.append("DrawSplineControl(186,267);\n");
      f.cArea.append("DrawSplineControl(270,198);\n");
      f.cArea.append("DrawSplineControl(313,275);\n");
      f.cArea.append("DrawSplineControl(383,183);\n");
      f.cArea.append("DrawSplineEnd(418,245);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("SpM"))
    {  //●輪郭線図形内部連続彩色
       //スプライン曲線で作画された輪郭線内部を彩色する場合で、
       //針のように細い先端部を持ち、その先端部が屈曲していると、ピクセルが不連続となり、
       //先端部が彩色されず白色（地色）で残ることがあるが、その場合、彩色行為の最終段階で、
       //その微細な塗り残し部分を輪郭線色に色彩変換する必要がある。
      f.cArea.setText("");
      f.cArea.append("//輪郭線図形内部連続彩色\n");
      f.cArea.append("SaveImage(\"./image/splineOutline2A.png\");\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("ChangeColorInnerMultiMask(\"./image/splineOutline2.png\", 200, 200, 200);\n");
      f.cArea.append("ChangeColorInnerMulti(20, 40, 150, 250,190);\n");
      f.cArea.append("ChangeColorInnerMulti(220, 40, 50, 250,340);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("SpS"))
    {  //●輪郭線図形内部連続彩色ソフト・フォーカス
      f.cArea.setText("");
      f.cArea.append("//輪郭線図形内部連続彩色ソフト・フォーカス\n");
      f.cArea.append("SaveImage(\"./image/splineOutline2B.png\");\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("SoftFocus(\"./image/splineOutline2A.png\", 5);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      f.cArea.append("//ソフト・フォーカスは、画像加工の仕上げ段階で行う。\n");
      init();
    }
    else if(com.equals("SpF"))
    {  //●輪郭線図形内部連続彩色フィニッシュ
      f.cArea.setText("");
      f.cArea.append("//輪郭線図形内部連続彩色フィニッシュ\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("Image(0,0,500,500,\"./image/splineOutline2B.png\");\n");
      f.cArea.append("Stamp(0,0,500,500,\"./image/splineOutline2A.png\");\n");
      init();
    }
    else if(com.equals("Sp3"))
    {  //●スプライン曲線図形３
       //内部彩色処理を高速化するには、点描画機能などを用い、彩色部の数箇所に指定色を塗っておく。
      f.cArea.setText("");
      f.cArea.append("//スプライン曲線図形３／高速内部彩色用\n");
      f.cArea.append("SaveImage(\"./image/splineOutline3.png\");\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("ForegroundColorL(200,200,200);\n");
      f.cArea.append("BackgroundColor(60,160,20);\n");
      f.cArea.append("DrawRect(1,70,70,340,350,43,65,162);\n");
      f.cArea.append("//\n");
      f.cArea.append("DrawSplineStart(70,199);\n");
      f.cArea.append("DrawSplineControl(121,105);\n");
      f.cArea.append("DrawSplineControl(160,227);\n");
      f.cArea.append("DrawSplineControl(218,102);\n");
      f.cArea.append("DrawSplineControl(246,285);\n");
      f.cArea.append("DrawSplineControl(280,119);\n");
      f.cArea.append("DrawSplineControl(352,231);\n");
      f.cArea.append("DrawSplineControl(364,125);\n");
      f.cArea.append("DrawSplineEnd(410,275);\n");
      f.cArea.append("//\n");
      f.cArea.append("DrawSplineStart(70,351);\n");
      f.cArea.append("DrawSplineControl(108,247);\n");
      f.cArea.append("DrawSplineControl(164,367);\n");
      f.cArea.append("DrawSplineControl(206,192);\n");
      f.cArea.append("DrawSplineControl(253,378);\n");
      f.cArea.append("DrawSplineControl(309,216);\n");
      f.cArea.append("DrawSplineControl(352,379);\n");
      f.cArea.append("DrawSplineControl(378,232);\n");
      f.cArea.append("DrawSplineEnd(410,397);\n");
      f.cArea.append("//\n");
      f.cArea.append("DrawCircle(2,132,236,4.0,255,0,255);\n");
      f.cArea.append("DrawCircle(2,223,162,4.0,255,0,255);\n");
      f.cArea.append("DrawCircle(2,261,321,4.0,255,0,255);\n");
      f.cArea.append("DrawCircle(2,289,175,4.0,255,0,255);\n");
      f.cArea.append("DrawCircle(2,349,311,4.0,255,0,255);\n");
      f.cArea.append("DrawCircle(2,381,195,4.0,255,0,255);\n");
      f.cArea.append("DrawCircle(2,403,278,4.0,255,0,255);\n");
      f.cArea.append("//画像上部の「保存」ボタンを押して下さい。\n");
      init();
    }
    else if(com.equals("SpX"))
    {  //●輪郭線図形内部高速連続彩色
      f.cArea.setText("");
      f.cArea.append("//輪郭線図形内部高速連続彩色\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("ChangeColorInnerMultiMask(\"./image/splineOutline3.png\", 200, 200, 200);\n");
      f.cArea.append("ChangeColorInnerMulti(80, 80, 250, 80,80);\n");
      f.cArea.append("ChangeColorInnerMulti(255, 0, 255, 0, 0);\n");
      f.cArea.append("ChangeColorInnerMulti(80, 70, 150, 80,370);\n");
      init();
    }

    else if(com.equals("SpD"))
    {  //●スプレー描画
      f.cArea.setText("");
      f.cArea.append("//スプレー描画\n");
      f.cArea.append("//以下は、円筒分布\n");
      f.cArea.append("Size(500,500);\n");
      f.cArea.append("SprayStart(100, 100, 0, 1.0, 25, 1000, 220, 110, 60, 255);\n");
      f.cArea.append("SprayNext(150,100);\n");
      f.cArea.append("SprayNext(200,100);\n");
      f.cArea.append("SprayNext(250,100);\n");
      f.cArea.append("SprayNext(270,100);\n");
      f.cArea.append("SprayEnd(290,100);\n");
      f.cArea.append("//以下は、ベル分布\n");
      f.cArea.append("SprayStart(100, 200, 1, 1.0, 25, 1000, 20, 110, 60, 255);\n");
      f.cArea.append("SprayNext(150,200);\n");
      f.cArea.append("SprayNext(200,200);\n");
      f.cArea.append("SprayNext(250,200);\n");
      f.cArea.append("SprayNext(270,200);\n");
      f.cArea.append("SprayEnd(290,200);\n");
      f.cArea.append("SprayGaussianOp(0.5);\n");
      f.cArea.append("//以下は、円錐分布\n");
      f.cArea.append("SprayStart(100, 300, 2, 1.0, 25,1000, 20, 110, 160, 255);\n");
      f.cArea.append("SprayNext(150,300);\n");
      f.cArea.append("SprayNext(200,300);\n");
      f.cArea.append("SprayNext(250,300);\n");
      f.cArea.append("SprayNext(270,300);\n");
      f.cArea.append("SprayEnd(290,300);\n");
      init();
    }

    //●画像の特殊加工は、以上で終了。
    
    else if(com.equals("NCP"))
    {  //●カード印刷
      f.cArea.setText("");
      f.cArea.append("//はがき用紙にカードを二枚印刷\n");
      f.cArea.append("//はがきサイズ： 100 x 148 mm　（300 x 444 px）\n");
      f.cArea.append("//名刺サイズ：    90 x  55 mm　（270 x 165 px）\n");
      f.cArea.append("//カード・サイズ：85 x  54 mm　（255 x 162 px）\n");
      f.cArea.append("//\n");
      f.cArea.append("Size(100,148,\"mm\"); //はがきサイズ\n");
      f.cArea.append("Antialias(true);\n");
      f.cArea.append("DrawRect(1,15,43,255,162,255,255,255); //カード・サイズ\n");
      f.cArea.append("DrawRect(1,15,243,255,162,255,255,255); //カード・サイズ\n");
      f.cArea.append("//\n");
      f.cArea.append("WriteStringH(33,70,12,\"BIZ UDゴシック\",\"『思考方法概論』\");\n");
      f.cArea.append("WriteStringH(33,90,12,\"BIZ UDゴシック\",\"『Java実例プログラミング』描画処理編\");\n");
      f.cArea.append("WriteStringH(33,110,12,\"BIZ UDゴシック\",\"『Java実例プログラミング』事務処理編\");\n");
      f.cArea.append("WriteStringH(33,130,12,\"Consolas\",\"https://rakue.ganriki.net/\");\n");
      f.cArea.append("WriteStringH(33,150,12,\"Consolas\",\"https://dl.ndl.go.jp/pid/13727096\");\n");
      f.cArea.append("WriteStringH(33,170,12,\"Consolas\",\"https://dl.ndl.go.jp/pid/13307204\");\n");
      f.cArea.append("WriteStringH(33,190,12,\"Consolas\",\"https://dl.ndl.go.jp/pid/13719801\");\n");
      f.cArea.append("//\n");
      f.cArea.append("WriteStringH(33,270,12,\"BIZ UDゴシック\",\"『思考方法概論』\");\n");
      f.cArea.append("WriteStringH(33,290,12,\"BIZ UDゴシック\",\"『Java実例プログラミング』描画処理編\");\n");
      f.cArea.append("WriteStringH(33,310,12,\"BIZ UDゴシック\",\"『Java実例プログラミング』事務処理編\");\n");
      f.cArea.append("WriteStringH(33,330,12,\"Consolas\",\"https://rakue.ganriki.net/\");\n");
      f.cArea.append("WriteStringH(33,350,12,\"Consolas\",\"https://dl.ndl.go.jp/pid/13727096\");\n");
      f.cArea.append("WriteStringH(33,370,12,\"Consolas\",\"https://dl.ndl.go.jp/pid/13307204\");\n");
      f.cArea.append("WriteStringH(33,390,12,\"Consolas\",\"https://dl.ndl.go.jp/pid/13719801\");\n");
      init();
    }
    else if(com.equals("Lay"))
    {  //●全体レイアウト・スケール
      //レイアウト・スケールは、Import命令で活用するか、紙に印刷して活用する。
      f.cArea.setText("");
      f.cArea.append("//全体レイアウト・スケール\n");
      f.cArea.append("Size(1440,2016);\n");
      f.cArea.append("//\n");

      f.cArea.append("//B5規格は、182x257mm\n");
      f.cArea.append("//Size(1660,2340); //B5判印刷用に描画枠拡大\n");
      f.cArea.append("//FreeScale(0.325); //B5判に画像縮小\n");
      f.cArea.append("//Shift(1,110,200); //B5判印刷用に余白調整\n");
      f.cArea.append("//\n");

      f.cArea.append("//A4規格は、210x297mm\n");
      f.cArea.append("//Size(1916,2708); //A4判印刷用に描画枠拡大\n");
      f.cArea.append("//FreeScale(0.325); //A4判に画像縮小\n");
      f.cArea.append("//Shift(1,220,300); //A4判印刷用に余白調整\n");
      f.cArea.append("//\n");

      f.cArea.append("DrawParallelLineH(0,0,1440,96,22,1,1);\n"); //横平行線
      f.cArea.append("DrawParallelLineV(0,0,2016,96,16,1,1);\n"); //縦平行線
      f.cArea.append("LineWidth(1.0);\n");
      f.cArea.append("DrawLine(720,0,720,2016);\n"); //横中央線
      f.cArea.append("DrawLine(0,1008,1440,1008);\n"); //縦中央線

      f.cArea.append("//横目盛り（px）\n");
      f.cArea.append("WriteStringH(64,36,22,\"sansserif\",\"96\");\n");
      f.cArea.append("WriteStringH(148,36,22,\"sansserif\",\"192\");\n");
      f.cArea.append("WriteStringH(242,36,22,\"sansserif\",\"288\");\n");
      f.cArea.append("WriteStringH(338,36,22,\"sansserif\",\"386\");\n");
      f.cArea.append("WriteStringH(434,36,22,\"sansserif\",\"480\");\n");
      f.cArea.append("WriteStringH(530,36,22,\"sansserif\",\"576\");\n");
      f.cArea.append("WriteStringH(626,36,22,\"sansserif\",\"672\");\n");
      f.cArea.append("WriteStringH(724,36,22,\"sansserif\",\"768\");\n");
      f.cArea.append("WriteStringH(818,36,22,\"sansserif\",\"864\");\n");
      f.cArea.append("WriteStringH(914,36,22,\"sansserif\",\"960\");\n");
      f.cArea.append("WriteStringH(994,36,22,\"sansserif\",\"1056\");\n");
      f.cArea.append("WriteStringH(1090,36,22,\"sansserif\",\"1152\");\n");
      f.cArea.append("WriteStringH(1186,36,22,\"sansserif\",\"1248\");\n");
      f.cArea.append("WriteStringH(1282,36,22,\"sansserif\",\"1344\");\n");
      f.cArea.append("WriteStringH(1378,36,22,\"sansserif\",\"1440\");\n");
      f.cArea.append("//\n");

      f.cArea.append("WriteStringH(64,1988,22,\"sansserif\",\"96\");\n");
      f.cArea.append("WriteStringH(148,1988,22,\"sansserif\",\"192\");\n");
      f.cArea.append("WriteStringH(242,1988,22,\"sansserif\",\"288\");\n");
      f.cArea.append("WriteStringH(338,1988,22,\"sansserif\",\"386\");\n");
      f.cArea.append("WriteStringH(434,1988,22,\"sansserif\",\"480\");\n");
      f.cArea.append("WriteStringH(530,1988,22,\"sansserif\",\"576\");\n");
      f.cArea.append("WriteStringH(626,1988,22,\"sansserif\",\"672\");\n");
      f.cArea.append("WriteStringH(724,1988,22,\"sansserif\",\"768\");\n");
      f.cArea.append("WriteStringH(818,1988,22,\"sansserif\",\"864\");\n");
      f.cArea.append("WriteStringH(914,1988,22,\"sansserif\",\"960\");\n");
      f.cArea.append("WriteStringH(994,1988,22,\"sansserif\",\"1056\");\n");
      f.cArea.append("WriteStringH(1090,1988,22,\"sansserif\",\"1152\");\n");
      f.cArea.append("WriteStringH(1186,1988,22,\"sansserif\",\"1248\");\n");
      f.cArea.append("WriteStringH(1282,1988,22,\"sansserif\",\"1344\");\n");
      f.cArea.append("WriteStringH(1378,1988,22,\"sansserif\",\"1440\");\n");

      f.cArea.append("//縦目盛り（px）\n");
      f.cArea.append("WriteStringH(34,92,22,\"sansserif\",\"96\");\n");
      f.cArea.append("WriteStringH(22,188,22,\"sansserif\",\"192\");\n");
      f.cArea.append("WriteStringH(22,284,22,\"sansserif\",\"288\");\n");
      f.cArea.append("WriteStringH(22,380,22,\"sansserif\",\"384\");\n");
      f.cArea.append("WriteStringH(22,476,22,\"sansserif\",\"480\");\n");
      f.cArea.append("WriteStringH(22,572,22,\"sansserif\",\"576\");\n");
      f.cArea.append("WriteStringH(22,668,22,\"sansserif\",\"672\");\n");
      f.cArea.append("WriteStringH(22,764,22,\"sansserif\",\"768\");\n");
      f.cArea.append("WriteStringH(22,860,22,\"sansserif\",\"864\");\n");
      f.cArea.append("WriteStringH(22,956,22,\"sansserif\",\"960\");\n");
      f.cArea.append("WriteStringH(6,1052,22,\"sansserif\",\"1056\");\n");
      f.cArea.append("WriteStringH(6,1148,22,\"sansserif\",\"1152\");\n");
      f.cArea.append("WriteStringH(6,1244,22,\"sansserif\",\"1248\");\n");
      f.cArea.append("WriteStringH(6,1340,22,\"sansserif\",\"1344\");\n");
      f.cArea.append("WriteStringH(6,1436,22,\"sansserif\",\"1440\");\n");
      f.cArea.append("WriteStringH(6,1532,22,\"sansserif\",\"1536\");\n");
      f.cArea.append("WriteStringH(6,1628,22,\"sansserif\",\"1632\");\n");
      f.cArea.append("WriteStringH(6,1724,22,\"sansserif\",\"1728\");\n");
      f.cArea.append("WriteStringH(6,1820,22,\"sansserif\",\"1824\");\n");
      f.cArea.append("WriteStringH(6,1916,22,\"sansserif\",\"1920\");\n");
      f.cArea.append("WriteStringH(6,2008,22,\"sansserif\",\"2016\");\n");
      f.cArea.append("//\n");

      f.cArea.append("WriteStringH(1398,92,22,\"sansserif\",\"96\");\n");
      f.cArea.append("WriteStringH(1386,188,22,\"sansserif\",\"192\");\n");
      f.cArea.append("WriteStringH(1386,284,22,\"sansserif\",\"288\");\n");
      f.cArea.append("WriteStringH(1386,380,22,\"sansserif\",\"384\");\n");
      f.cArea.append("WriteStringH(1386,476,22,\"sansserif\",\"480\");\n");
      f.cArea.append("WriteStringH(1386,572,22,\"sansserif\",\"576\");\n");
      f.cArea.append("WriteStringH(1386,668,22,\"sansserif\",\"672\");\n");
      f.cArea.append("WriteStringH(1386,764,22,\"sansserif\",\"768\");\n");
      f.cArea.append("WriteStringH(1386,860,22,\"sansserif\",\"864\");\n");
      f.cArea.append("WriteStringH(1386,956,22,\"sansserif\",\"960\");\n");
      f.cArea.append("WriteStringH(1374,1052,22,\"sansserif\",\"1056\");\n");
      f.cArea.append("WriteStringH(1374,1148,22,\"sansserif\",\"1152\");\n");
      f.cArea.append("WriteStringH(1374,1244,22,\"sansserif\",\"1248\");\n");
      f.cArea.append("WriteStringH(1374,1340,22,\"sansserif\",\"1344\");\n");
      f.cArea.append("WriteStringH(1374,1436,22,\"sansserif\",\"1440\");\n");
      f.cArea.append("WriteStringH(1374,1532,22,\"sansserif\",\"1536\");\n");
      f.cArea.append("WriteStringH(1374,1628,22,\"sansserif\",\"1632\");\n");
      f.cArea.append("WriteStringH(1374,1724,22,\"sansserif\",\"1728\");\n");
      f.cArea.append("WriteStringH(1374,1820,22,\"sansserif\",\"1824\");\n");
      f.cArea.append("WriteStringH(1374,1916,22,\"sansserif\",\"1920\");\n");
      f.cArea.append("WriteStringH(1374,2008,22,\"sansserif\",\"2016\");\n");
      f.cArea.append("//\n");

      f.cArea.append("DrawCircle(1,288,288,4,0,0,0);\n");
      f.cArea.append("DrawCircle(1,1152,288,4,0,0,0);\n");
      f.cArea.append("DrawCircle(1,288,672,4,0,0,0);\n");
      f.cArea.append("DrawCircle(1,1152,672,4,0,0,0);\n");
      f.cArea.append("DrawCircle(1,624,1392,4,0,0,0);\n");
      f.cArea.append("DrawCircle(1,816,1392,4,0,0,0);\n");
      f.cArea.append("DrawCircle(1,624,1584,4,0,0,0);\n");
      f.cArea.append("DrawCircle(1,816,1584,4,0,0,0);\n");
      init();
    }

    else if(com.equals("La2"))
    {  //●部品レイアウト・スケール
      //レイアウト・スケールは、Import命令で活用するか、紙に印刷して活用する。
      f.cArea.setText("");
      f.cArea.append("//部品レイアウト・スケール\n");
      f.cArea.append("//Size(720,1008);\n");
      f.cArea.append("//\n");

      f.cArea.append("//B5規格は、182x257mm\n");
      f.cArea.append("Size(830,1170); //B5判印刷用に描画枠拡大\n");
      f.cArea.append("FreeScale(0.65); //B5判に画像縮小\n");
      f.cArea.append("Shift(1,55,210); //B5判印刷用に余白調整\n");
      f.cArea.append("//\n");

      f.cArea.append("//A4規格は、210x297mm\n");
      f.cArea.append("//Size(958,1354); //A4判印刷用に描画枠拡大\n");
      f.cArea.append("//FreeScale(0.65); //A4判に画像縮小\n");
      f.cArea.append("//Shift(1,100,250); //A4判印刷用に余白調整\n");
      f.cArea.append("//\n");

      f.cArea.append("DrawParallelLineH(0,0,720,12,61,1,0);\n");
      f.cArea.append("DrawParallelLineV(0,0,720,12,61,1,0);\n");
      f.cArea.append("DrawParallelLineH2(0,0,720,72,11,0,0);\n");
      f.cArea.append("DrawParallelLineV2(0,0,720,72,11,0,0);\n");
      f.cArea.append("WriteStringH(90,780,12,\"sansserif\",\"1 unit = 6 cell × 6 cell\");\n");
      f.cArea.append("WriteStringH(90,800,12,\"sansserif\",\"1 side = 6 cell × 10 unit = 60 cell\");\n");
      init();
    }
    else if(com.equals("RLS"))
    {  //●多段階回転画像作成用レイアウト・スケール
      //レイアウト・スケールは、Import命令で活用する。
      f.cArea.setText("");
      f.cArea.append("//多段階回転画像作成用レイアウト・スケール\n");
      f.cArea.append("Size(600,600); //外枠\n");
      f.cArea.append("BackgroundColor(200,200,200); //グレー背景色\n");
      f.cArea.append("//以下は補助線（完成画像保存時にコメント・アウトすること）\n");
      f.cArea.append("DrawCircle(1,300,300,283,0,0,0); //回転範囲\n");
      f.cArea.append("DrawParallelLineH(100,100,400,10,41,1,0); //方眼線\n");
      f.cArea.append("DrawParallelLineV(100,100,400,10,41,1,0);\n");
      f.cArea.append("DrawParallelLineH2(0,0,600,50,13,0,0);\n");
      f.cArea.append("DrawParallelLineV2(0,0,600,50,13,0,0);\n");
      f.cArea.append("DrawLine(100,100,500,500);\n");
      f.cArea.append("DrawLine(500,100,100,500);\n");
      init();
    }

    else if(com.equals("TA4"))
    {  //●A4印刷テスト図形Ａ４
      f.cArea.setText("");
      f.cArea.append("//印刷テスト図形Ａ４（印刷不能マージン確認）\n");
      f.cArea.append("Size(\"A4\");\n");
      f.cArea.append("FontBold(true);\n");
      f.cArea.append("DrawLine(0,0,630,891);\n");
      f.cArea.append("DrawLine(630,0,0,891);\n");
      f.cArea.append("DrawLine(0,445.5,630,445.5);\n");
      f.cArea.append("DrawLine(315,0,315,891);\n");
      f.cArea.append("DrawLine(315,0,0,445.5);\n");
      f.cArea.append("DrawLine(157.5,222.5,315,222.5);\n");
      f.cArea.append("DrawLine(157.5,222.5,157.5,445.5);\n");
      f.cArea.append("DrawLine(0,445.5,315,891);\n");
      f.cArea.append("DrawLine(630,445.5,315,891);\n");
      f.cArea.append("DrawLine(315,0,630,445.5);\n");
      f.cArea.append(
        "WriteStringH(90,60,24,\"sansserif\",\"GCreator A4\");\n");
      f.cArea.append(
        "WriteStringH(90,90,15,\"sansserif\",\"210x297mm\");\n");
      f.cArea.append(
        "WriteStringH(216,240,15,\"sansserif\",\"52.5mm\");\n");
      f.cArea.append(
        "WriteStringH(162,330,15,\"sansserif\",\"74.25mm\");\n");
      f.cArea.append(
        "WriteStringH(315,445.5,48,\"sansserif\",\"活字48pt\");\n");
      init();
    }
    else if(com.equals("Pht"))
    {  //●フォント表示テスト１
      f.cArea.setText("");
      f.cArea.append("//フォント表示テスト１\n");
      f.cArea.append("Size(\"A4\");\n");
      f.cArea.append("Antialias(true);\n");
      f.cArea.append("FontBold(false);\n");

      f.cArea.append("WriteString(30,60,15,\"sansserif\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [sansserif]\");\n");
      f.cArea.append("WriteString(30,90,15,\"serif\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [serif]\");\n");
      f.cArea.append("WriteString(30,120,15,\"monospaced\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [monospaced]\");\n");
      f.cArea.append("WriteString(30,150,15,\"dialog\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [dialog]\");\n");
      f.cArea.append("WriteString(30,180,15,\"dialoginput\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [dialoginput]\");\n");
      f.cArea.append("//以上は、仮想的な論理フォントで、以下は、実体的な物理フォント。\n");
      f.cArea.append("//論理フォントは、日英二種類の物理フォントの組み合わせである。\n");
      f.cArea.append("//論理フォント名は、大文字小文字の区別をしない。\n");

      f.cArea.append("//\n");
      f.cArea.append("WriteString(30,210,15,\"Arial\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Arial]\");\n");
      f.cArea.append("WriteString(30,240,15,\"Times New Roman\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Times New Roman]\");\n");
      f.cArea.append("WriteString(30,270,15,\"Courier New\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Courier New]\");\n");
      f.cArea.append("//\n");

      f.cArea.append("WriteString(30,300,15,\"ＭＳ ゴシック\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [ＭＳ ゴシック]\");\n");
      f.cArea.append("WriteString(30,330,15,\"ＭＳ 明朝\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [ＭＳ 明朝]\");\n");
      f.cArea.append("WriteString(30,360,15,\"ＭＳ Ｐゴシック\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [ＭＳ Ｐゴシック]\");\n");
      f.cArea.append("WriteString(30,390,15,\"ＭＳ Ｐ明朝\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [ＭＳ Ｐ明朝]\");\n");
      f.cArea.append("WriteString(30,420,15,\"MS UI Gothic\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [MS UI Gothic]\");\n");

      f.cArea.append("WriteString(30,450,15,\"游ゴシック\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游ゴシック]\");\n");
      f.cArea.append("WriteString(30,480,15,\"游明朝\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游明朝]\");\n");

      f.cArea.append("WriteString(30,510,15,\"BIZ UDPゴシック\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UDPゴシック]\");\n");
      f.cArea.append("WriteString(30,540,15,\"BIZ UDP明朝 Medium\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UDP明朝 Medium]\");\n");
      f.cArea.append("WriteString(30,570,15,\"BIZ UDゴシック\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UDゴシック]\");\n");
      f.cArea.append("WriteString(30,600,15,\"BIZ UD明朝 Medium\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UD明朝 Medium]\");\n");

      f.cArea.append("WriteString(30,630,15,\"Meiryo UI\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Meiryo UI]\");\n");
      f.cArea.append("WriteString(30,660,15,\"メイリオ\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [メイリオ]\");\n");

      f.cArea.append("WriteString(30,690,15,\"UD デジタル 教科書体 N\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [UD デジタル 教科書体 N]\");\n");
      f.cArea.append("WriteString(30,720,15,\"UD デジタル 教科書体 NK\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [UD デジタル 教科書体 NK]\");\n");
      f.cArea.append("WriteString(30,750,15,\"UD デジタル 教科書体 NP\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [UD デジタル 教科書体 NP]\");\n");

      f.cArea.append("//Windows11 に搭載されているフォントの表示。\n");
      f.cArea.append("//フォント名は、全角と半角との違いに注意。\n");
      f.cArea.append("//フォント名を間違うと、「sansserif」での表示になる。\n");
      init();
    }
    else if(com.equals("Ph2"))
    {  //●フォント表示テスト２
      f.cArea.setText("");
      f.cArea.append("//フォント表示テスト（詳細拡張版）\n");
      f.cArea.append("Size(\"A4\");\n");
      f.cArea.append("Antialias(true);\n");
      f.cArea.append("FontBold(false);\n");

      f.cArea.append("WriteString(30,60,15,\"BIZ UDPゴシック Regular\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UDPゴシック Regular]\");\n");
      f.cArea.append("WriteString(30,90,15,\"BIZ UDPゴシック Bold\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UDPゴシック Bold]\");\n");

      f.cArea.append("WriteString(30,120,15,\"BIZ UDゴシック Regular\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UDゴシック Regular]\");\n");
      f.cArea.append("WriteString(30,150,15,\"BIZ UDゴシック Bold\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [BIZ UDゴシック Bold]\");\n");

      f.cArea.append("WriteString(30,180,15,\"Meiryo UI Regular\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Meiryo UI Regular]\");\n");
      f.cArea.append("WriteString(30,210,15,\"Meiryo UI Bold\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Meiryo UI Bold]\");\n");
      f.cArea.append("WriteString(30,240,15,\"Meiryo UI Italic\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Meiryo UI Italic]\");\n");
      f.cArea.append("WriteString(30,270,15,\"Meiryo Bold Italic\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Meiryo UI Bold Italic]\");\n");
      f.cArea.append("WriteString(30,300,15,\"メイリオ レギュラー\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [メイリオ レギュラー]\");\n");
      f.cArea.append("WriteString(30,330,15,\"メイリオ ボールド\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [メイリオ ボールド]\");\n");
      f.cArea.append("WriteString(30,360,15,\"メイリオ イタリック\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [メイリオ イタリック]\");\n");
      f.cArea.append("WriteString(30,390,15,\"メイリオ ボールド イタリック\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [メイリオ ボールド イタリック]\");\n");

      f.cArea.append("WriteString(30,420,15,\"Yu Gothic UI Light\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Yu Gothic UI Light]\");\n");
      f.cArea.append("WriteString(30,450,15,\"Yu Gothic UI Semilight\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Yu Gothic UI Semilight]\");\n");
      f.cArea.append("WriteString(30,480,15,\"Yu Gothic UI Regular\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Yu Gothic UI Regular]\");\n");
      f.cArea.append("WriteString(30,510,15,\"Yu Gothic UI Semibold\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Yu Gothic UI Semibold]\");\n");
      f.cArea.append("WriteString(30,540,15,\"Yu Gothic UI Bold\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Yu Gothic UI Bold]\");\n");

      f.cArea.append("WriteString(30,570,15,\"游ゴシック Light\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游ゴシック Light]\");\n");
      f.cArea.append("WriteString(30,600,15,\"游ゴシック Regular\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游ゴシック Regular]\");\n");
      f.cArea.append("WriteString(30,630,15,\"游ゴシック Medium\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游ゴシック Medium]\");\n");
      f.cArea.append("WriteString(30,660,15,\"游ゴシック Bold\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游ゴシック Bold]\");\n");

      f.cArea.append("WriteString(30,690,15,\"游明朝 Light\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游明朝 Light]\");\n");
      f.cArea.append("WriteString(30,720,15,\"游明朝 Regular\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游明朝 Regular]\");\n");
      f.cArea.append("WriteString(30,750,15,\"游明朝 Demibold\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [游明朝 Demibold]\");\n");

      f.cArea.append("WriteString(30,810,15,\"sansserif\","+
          "\"以下は、コンピューター関連用途に便利な英文等幅フォント\");\n");
      f.cArea.append("WriteString(30,840,15,\"Consolas\","+
          "\"漢字かなカナＡＢａｂABab01.2*+-=#$@!?■● [Consolas]\");\n");

      f.cArea.append("//Windows11 に搭載されているフォントの表示。\n");
      f.cArea.append("//フォント名は、空白の個数、全角と半角、これらの違いに注意。\n");
      f.cArea.append("//フォント名を間違うと、「sansserif」での表示になる。\n");
      init();
    }
    else if(com.equals("XL4"))
    {  //●拡大率：４倍
      f.canvas.affineScale = f.xL4;
      f.scaleLabel.setText("  (a:x4.0)");
      init();
    }
    else if(com.equals("XL3"))
    {  //●拡大率：３倍
      f.canvas.affineScale = f.xL3;
      f.scaleLabel.setText("  (a:x3.0)");
      init();
    }
    else if(com.equals("XL2"))
    {  //●拡大率：２倍
      f.canvas.affineScale = f.xL2;
      f.scaleLabel.setText("  (a:x2.0)");
      init();
    }
    else if(com.equals("XML"))
    {  //●拡大率：１．５倍
      f.canvas.affineScale = f.xML;
      f.scaleLabel.setText("  (a:x1.5)");
      init();
    }
    else if(com.equals("XM1"))
    {  //●拡大率：１倍
      f.canvas.affineScale = f.xM1;
      f.scaleLabel.setText("  (a:x1.0)");
      init();
    }
    else if(com.equals("XMS"))
    {  //●拡大率：１／１．５倍
      f.canvas.affineScale = f.xMS;
      f.scaleLabel.setText("  (a:x1/1.5)");
      init();
    }
    else if(com.equals("XS2"))
    {  //●拡大率：１／２倍
      f.canvas.affineScale = f.xS2;
      f.scaleLabel.setText("  (a:x1/2)");
      init();
    }
    else if(com.equals("XS3"))
    {  //●拡大率：１／３倍
      f.canvas.affineScale = f.xS3;
      f.scaleLabel.setText("  (a:x1/3)");
      init();
    }
    else if(com.equals("XS4"))
    {  //●拡大率：１／４倍
      f.canvas.affineScale = f.xS4;
      f.scaleLabel.setText("  (a:x1/4)");
      init();
    }

    else if(com.equals("Of1"))
    {  //●マウス描画有効モード（根本モード）
       //マウスによる位置や色相の問い合わせ機能などを含む
      f.cMouseLis.canvasMouseFlag = true;
      f.cMouseLis.canvasMouseMode = 0;
      f.canvas.currentPointX =  0;
      f.canvas.currentPointY =  0;
      f.canvas.markFlag = true;
      f.mouseModeLabel.setText("マウス描画有効モード");
      f.cMouseLis.clear();
    }
    else if(com.equals("Of2"))
    {  //●マウス描画無効モード（根本モード）
      f.cMouseLis.canvasMouseFlag = false;
      f.cMouseLis.canvasMouseMode = 0;
      f.canvas.currentPointX = 0;
      f.canvas.currentPointY = 0;
      f.canvas.markFlag = false;
      f.mouseModeLabel.setText("マウス描画無効モード");
      f.cMouseLis.clear();
    }

    //これ以降は、「マウス描画有効モード」の下で、具体的な「派生モード」が機能する
    else if(com.equals("Lin"))
    {  //●直線マウス描画モード
      f.cMouseLis.canvasMouseMode = 1;
      f.cMouseLis.clear();
    }
    else if(com.equals("Eli"))
    {  //●直線マウス消去モード
      f.cMouseLis.canvasMouseMode = 6;
      f.cMouseLis.clear();
    }
    else if(com.equals("LLi"))
    {  //●折れ線マウス描画モード
      f.cMouseLis.canvasMouseMode = 30;
      f.cMouseLis.clear();
    }
    else if(com.equals("Cur"))
    {  //●ベジェ曲線マウス描画モード
      f.cMouseLis.canvasMouseMode = 9;
      f.cMouseLis.clear();
    }
    else if(com.equals("Spl"))
    {  //●スプライン曲線マウス描画モード
      f.cMouseLis.canvasMouseMode = 22;
      f.cMouseLis.clear();
    }
    else if(com.equals("AC3"))
    {  //●座標点マウス修正モード
      f.cMouseLis.canvasMouseMode = 10;
      f.cMouseLis.clear();
    }
    else if(com.equals("ECu"))
    {  //●描画目印線の消去
      f.canvas.markFlag = false; //canvasMouseModeに関係なし
      f.cMouseLis.clear();
    }
    else if(com.equals("DCu"))
    {  //●描画目印線の復活
      f.canvas.markFlag = true; //canvasMouseModeに関係なし
      f.cMouseLis.clear();
    }
    else if(com.equals("Cir"))
    {  //●真円の描画モード
      f.cMouseLis.canvasMouseMode = 2;
      f.cMouseLis.clear();
    }
    else if(com.equals("CiE"))
    {  //●真円消去の描画モード（点描画の修正消去が主な用途）
      f.cMouseLis.canvasMouseMode = 32;
      f.cMouseLis.clear();
    }
    else if(com.equals("Ell"))
    {  //●楕円の描画モード
      f.cMouseLis.canvasMouseMode = 8;
      f.cMouseLis.clear();
    }
    else if(com.equals("Rec"))
    {  //●四角形の描画モード
      f.cMouseLis.canvasMouseMode = 20;
      f.cMouseLis.clear();
    }
    else if(com.equals("Fre"))
    {  //●自由図形の描画モード
      f.cMouseLis.canvasMouseMode = 14;
      f.cMouseLis.clear();
    }
    else if(com.equals("Str"))
    {  //●文字の記入モード
      f.cMouseLis.canvasMouseMode = 3;
      f.cMouseLis.clear();
    }
    else if(com.equals("St2"))
    {  //●表題の記入モード
      f.cMouseLis.canvasMouseMode = 13;
      f.cMouseLis.clear();
    }
    else if(com.equals("Pos"))
    {  //●位置確認モード
      f.cMouseLis.canvasMouseMode = 4;
      f.cMouseLis.clear();
    }
    else if(com.equals("Ref"))
    {  //●命令文検索モード
      f.cMouseLis.canvasMouseMode = 15;
      f.cMouseLis.clear();
    }
    else if(com.equals("Clx"))
    {  //●色相確認モード
      f.cMouseLis.canvasMouseMode = 21;
      f.cMouseLis.clear();
    }
    else if(com.equals("CoP"))
    {  //●塗り色変更モード（混色パレット使用）
      f.cMouseLis.canvasMouseMode = 19;
      f.cMouseLis.clear();
    }

    else if(com.equals("Sc1"))
    {  //●パレット表示
      f.changeLayout(2);
      f.canvas.currentPointX = 0;
      f.canvas.currentPointY = 0;
    }
    else if(com.equals("Sc2"))
    {  //●パレット非表示
      f.changeLayout(1);
      f.canvas.currentPointX =  0;
      f.canvas.currentPointY =  0;
    }

    else if(com.equals("BrL"))
    {  //●点描画筆（大）
      f.cMouseLis.canvasMouseMode = 101;
      f.cMouseLis.brushSize = 4;
    }
    else if(com.equals("BrM"))
    {  //●点描画筆（中）
      f.cMouseLis.canvasMouseMode = 101;
      f.cMouseLis.brushSize = 2;
    }
    else if(com.equals("BrS"))
    {  //●点描画筆（小）
      f.cMouseLis.canvasMouseMode = 101;
      f.cMouseLis.brushSize = 1;
    }
    else if(com.equals("Spr"))
    {  //●スプレー描画
      f.cMouseLis.canvasMouseMode = 102;
      f.cMouseLis.sprayCnt = 1;
    }

    else if(com.equals("Usa"))
    {  //●命令仕様書
      Util.textBrowseCCP(f, new File(
        "./sys/GCreator_Manual.txt"));
    }
    else if(com.equals("Ptn"))
    {  //●模様データ
      Util.textBrowseCCP(f, new File(
        "./sys/GCreator_Pattern.txt"));
    }
    else
    {
      f.message("メニューに該当なし");
    }
  }
  void init()
  {
    f.canvas.setInit2(); //特殊初期化（先行実施）
    f.canvas.setInit();  //一般初期化（後続実施）
    f.canvas.setInit3(); //追加特殊初期化（最終実施）
    f.canvas.repaint();  //描画実行
  }
} //EOF (GCreatorMenuLis.java)
