//■■GCreatorPalMouseLis.java
//Ver.3.4

//■■インポート
import java.awt.*;  //必須
import java.awt.event.*;  //必須

//■■マウスのクリックで呼び出されるリスナー（パレット用）
class GCreatorPalMouseLis implements MouseListener
{
  //■メンバー変数
  GCreator f;
  int colorNum = 0;     //基準色１６色の順序番号
  int selectColor = 0;  //１番目から三番目の色選択順
  
  //パレットの配置状況  
  final int x = 5;  //left margin
  final int y = 5;  //top margin
  final int w =50;  //box width
  final int h =50;  //box height
  
  //パレット上の絵の具位置
  final int colorP[][] = {
  {x+  0,y+  0},  //red
  {x+ 50,y+  0},  //maroon
  {x+100,y+  0},  //magenta
  {x+150,y+  0},  //purple
  {x+  0,y+100},  //green
  {x+ 50,y+100},  //d.green
  {x+100,y+100},  //yellow
  {x+150,y+100},  //olive
  {x+  0,y+200},  //blue
  {x+ 50,y+200},  //navy
  {x+100,y+200},  //cyan
  {x+150,y+200},  //teal
  {x+  0,y+300},  //white
  {x+ 50,y+300},  //silver
  {x+100,y+300},  //gray
  {x+150,y+300}}; //black
  
  //基準色の色価
  final int colorV[][] = {
  {0xff, 0x00, 0x00},  //red
  {0x80, 0x00, 0x00},  //maroon
  {0xff, 0x00, 0xff},  //magenta
  {0x80, 0x00, 0x80},  //purple
  {0x00, 0xff, 0x00},  //green
  {0x00, 0x80, 0x00},  //d.green
  {0xff, 0xff, 0x00},  //yellow
  {0x80, 0x80, 0x00},  //olive
  {0x00, 0x00, 0xff},  //blue
  {0x00, 0x00, 0x80},  //navy
  {0x00, 0xff, 0xff},  //cyan
  {0x00, 0x80, 0x80},  //teal
  {0xff, 0xff, 0xff},  //white
  {0xc0, 0xc0, 0xc0},  //silver
  {0x80, 0x80, 0x80},  //gray
  {0x00, 0x00, 0x00}}; //black
  


  //■コンストラクタ
  GCreatorPalMouseLis(GCreator flame)
  {
    f = flame;
  }

  //■イベントハンドラ
  public void mousePressed(MouseEvent eve)
  {
    //●点描マウス入力モードが解除状態または左クリックでない場合
    if(eve.getButton() != MouseEvent.BUTTON1)
    { 
      return;
    }
    int x = eve.getX(); //マウスのクリック位置を取得
    int y = eve.getY();
    //●1回目の色選択
    if(selectColor == 0)
    { //●座標位置から指定されたパレット色（未混色）を割り出す。
      for(colorNum=0; colorNum<16; colorNum++)
      {
        if((x > colorP[colorNum][0]) && (x < colorP[colorNum][0]+w) &&
          (y > colorP[colorNum][1]) && (y < colorP[colorNum][1]+h))
        {
          f.palette.choiceN = 1;
          f.palette.choiceC1 = new Color(
            colorV[colorNum][0], colorV[colorNum][1], 
            colorV[colorNum][2]);
          selectColor =1;
          f.sldR.setValue(0);
          f.sldG.setValue(0);
          f.sldB.setValue(0);
          break;
        }
      }
    }
    //●2回目の色選択
    else if(selectColor == 1)
    { //●座標位置から指定されたパレット色（未混色）を割り出す。
      for(colorNum=0; colorNum<16; colorNum++)
      {
        if((x > colorP[colorNum][0]) && (x < colorP[colorNum][0]+w) &&
          (y > colorP[colorNum][1]) && (y < colorP[colorNum][1]+h))
        {
          f.palette.choiceN = 2;
          f.palette.choiceC2 = new Color(
            colorV[colorNum][0], colorV[colorNum][1], 
            colorV[colorNum][2]);
          selectColor = 2;
          break;
        }
      }
    }
    //●3回目の色選択
    else if(selectColor == 2)
    { //●座標位置から指定されたパレット色（未混色）を割り出す。
      for(colorNum=0; colorNum<16; colorNum++)
      {
        if((x > colorP[colorNum][0]) && (x < colorP[colorNum][0]+w) &&
          (y > colorP[colorNum][1]) && (y < colorP[colorNum][1]+h))
        {
          f.palette.choiceN = 3;
          f.palette.choiceC3 = new Color(
            colorV[colorNum][0], colorV[colorNum][1], 
            colorV[colorNum][2]);
          selectColor = 3;
          break;
        }
      }
    }
    //●4回目の色選択
    else if(selectColor == 3)
    { //●座標位置から指定されたパレット色（未混色）を割り出す。
      for(colorNum=0; colorNum<16; colorNum++)
      {
        if((x > colorP[colorNum][0]) && (x < colorP[colorNum][0]+w) &&
          (y > colorP[colorNum][1]) && (y < colorP[colorNum][1]+h))
        {
          f.palette.choiceN = 4;
          f.palette.choiceC4 = new Color(
            colorV[colorNum][0], colorV[colorNum][1], 
            colorV[colorNum][2]);
          selectColor = 0;
          break;
        }
      }
    }
  }

  //■座標位置変数の初期化
  void clear()
  { 
    selectColor = 0;
    f.palette.choiceN = 0;
  }

  public void mouseEntered(MouseEvent e)
  {}
  public void mouseExited(MouseEvent e)
  {}
  public void mouseClicked(MouseEvent e)
  {}
  public void mouseReleased(MouseEvent e)
  {}
} //EOF (GCreatorPalMouseLis.java)
